import 'dart:io';

import 'package:cli_menu/cli_menu.dart';
import 'package:get_cli/common/default_file_creator.dart';
import 'package:get_cli/core/structure.dart';
import 'package:get_cli/models/file_model.dart';
import 'package:get_cli/samples/interface/sample_interface.dart';

Future handleFileCreate(
    String name, String command, bool extraFolder, Sample sample) async {
  Generator defaultGenerator = Generator(currentStructure: defaultStructure);

  var myDir = Directory.current;
  print(myDir);

  final menu = Menu(myDir.listSync());
  final result = menu.choose();

  await defaultGenerator.createFile(
      fileModel: FileModel(
        result: name,
        path: result.value.path,
        commandName: command,
      ),
      content: sample);
}
